/*
 * assertd.c -- assert() for daemons.
 * 
 * Written by Stanislav Shalunov, http://www.internet2.edu/~shalunov/
 * 
 * Copyright 2003, Internet2.
 * Legal conditions are in file LICENSE
 * (MD5 = ecfa50d1b0bfbb81b658c810d0476a52).
 */

#include <stdio.h>
#include <syslog.h>
#include <stdlib.h>
#include "assertd.h"
#include "rcs.h"

RCS_ID("@(#) $Id: assertd.c,v 1.2 2005/10/17 23:22:18 shalunov Exp $")

void __attribute__((noreturn))
assertd_failure(const char *file, int line, const char *e)
{
	syslog(LOG_ALERT,
	       "assertion \"%s\" failed: file \"%s\", line %d, aborting",
	       e, file, line);
	fprintf(stderr,
		"assertion \"%s\" failed: file \"%s\", line %d\n",
		e, file, line);
	abort();
	/* NOTREACHED */
}
